import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { Erc20 } from '../../../contract/contracts';
import { MetaType } from '../../../position/position.interface';
import { ContractPositionTemplatePositionFetcher } from '../../../position/template/contract-position.template.position-fetcher';
import { DefaultContractPositionDefinition, GetTokenBalancesParams } from '../../../position/template/contract-position.template.types';
import { PolynomialAccountResolver } from '../common/polynomial.account-resolver';
export declare type PolynomialSmartWalletDataProp = {
    liquidity: number;
};
export declare class OptimismPolynomialSmartWalletContractPositionFetcher extends ContractPositionTemplatePositionFetcher<Erc20> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly polynomialAccountResolver: PolynomialAccountResolver;
    sUSD: string;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, polynomialAccountResolver: PolynomialAccountResolver);
    getContract(): Erc20;
    getDefinitions(): Promise<DefaultContractPositionDefinition[]>;
    getLabel(): Promise<string>;
    getTokenDefinitions(): Promise<{
        address: string;
        metaType: MetaType;
        network: import("../../../types").Network;
    }[]>;
    getAccountAddress(address: string): Promise<string>;
    getTokenBalancesPerPosition({ address, contract }: GetTokenBalancesParams<Erc20>): Promise<import("ethers").BigNumber[]>;
    getDataProps(): Promise<PolynomialSmartWalletDataProp>;
}
